# Lootboxes Feature

Diese Funktion ermöglicht es Spielern, Lootboxen zu kaufen und zu öffnen.

## Komponenten

- **LootboxSelection**: Zeigt alle verfügbaren Lootboxen an und ermöglicht Filterung nach Kategorien.
- (Weitere Komponenten werden implementiert)

## Implementierung

### Lootbox-Kategorien
- Gewöhnlich (Common): Niedrigere Preise, höhere Gewinnchance
- Selten (Rare): Mittlere Preise, mittlere Gewinnchance
- Legendär (Legendary): Hohe Preise, niedrige Gewinnchance

### Routen
- `/lootboxes`: Hauptseite mit Lootbox-Auswahl
- `/lootboxes/open/:id`: Öffnen einer bestimmten Lootbox
- `/lootboxes/fairness`: Informationen zur Fairness-Garantie

## Hinweise zur Implementierung

1. **Bilder**: Stelle sicher, dass die korrekten Bilder unter `/assets/images/lootboxes/` vorhanden sind.
2. **Styling**: Das Styling ist an Counter-Strike-Lootboxen angelehnt.
3. **Authentifizierung**: Alle Lootbox-Routen sind durch den Auth-Guard geschützt.

## Lootbox-Objekt-Interface

```typescript
interface Lootbox {
  id: string;
  name: string;
  category: 'common' | 'rare' | 'legendary';
  price: number;
  image: string;
  chance: number;
  maxPrize: number;
}
``` 